Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.sessionconfiguration
Class WASXMLSessionConfigLoader

`java.lang.Object
oracle.toplink.tools.sessionconfiguration.XMLSessionConfigLoader
oracle.toplink.tools.sessionconfiguration.WASXMLSessionConfigLoader`

public class WASXMLSessionConfigLoader
extends XMLSessionConfigLoader

Provide a mechanism for loading configuration XML files, as classpath resources, and processing them via TopLink O-X. Provides backwards compatability to the WASXMLLoader.

Since:
  TopLink 10.1.3

Constructor Summary
`WASXMLSessionConfigLoader()` PUBLIC: This constructor is used when the file resource named 'toplink-ejb-jar.xml' will be parsed for configuration.
`WASXMLSessionConfigLoader(java.lang.String resourceName)` PUBLIC: This constructor is used when passing in the resource name of the configuration file that should be parsed

Method Summary
`Session` | `getLoadedSession()` Return the last loaded session

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WASXMLSessionConfigLoader

    public WASXMLSessionConfigLoader()

  PUBLIC: This constructor is used when the file resource named 'toplink-ejb-jar.xml' will be parsed for configuration.

### WASXMLSessionConfigLoader

    public WASXMLSessionConfigLoader(java.lang.String resourceName)

  PUBLIC: This constructor is used when passing in the resource name of the configuration file that should be parsed

Method Detail

### getLoadedSession

    public Session getLoadedSession()

  Return the last loaded session

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD